View a markdown version of this page

RestartConnector - Amazon MSK Connect

RestartConnector

Restarts the specified connector. By default, this operation restarts the connector and all of its tasks. This operation is asynchronous and returns a connector operation ARN that you can pass to DescribeConnectorOperation to track the state of the restart.

Request Syntax

POST /v1/connectors/connectorArn/restart?onlyFailedTasks=onlyFailedTasks HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

connectorArn

The Amazon Resource Name (ARN) of the connector that you want to restart.

Required: Yes

onlyFailedTasks

Specifies whether to restart only the connector's failed tasks. If true, the operation restarts only the tasks that are currently in a failed state, and healthy tasks continue running. If false or not specified, the operation restarts the connector and all of its tasks.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "connectorArn": "string", "connectorOperationArn": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

connectorArn

The Amazon Resource Name (ARN) of the connector.

Type: String

connectorOperationArn

The Amazon Resource Name (ARN) of the connector operation created to perform the restart.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

BadRequestException

HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.

HTTP Status Code: 400

ForbiddenException

HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.

HTTP Status Code: 403

InternalServerErrorException

HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.

HTTP Status Code: 500

NotFoundException

HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.

HTTP Status Code: 404

ServiceUnavailableException

HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.

HTTP Status Code: 503

TooManyRequestsException

HTTP Status Code 429: Limit exceeded. Resource limit reached.

HTTP Status Code: 429

UnauthorizedException

HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.

HTTP Status Code: 401

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: